## org.eclipse.jet
Interface JET2TemplateLoaderExtension

    public interface JET2TemplateLoaderExtension

Extension interface for `JET2TemplateLoader` allowing for delegation of template loading to other loaders

Method Summary
`JET2TemplateLoader` `getDelegateLoader()` Return the template loader to which this loader will delegate when it cannot find a template.
`void` `setDelegateLoader(JET2TemplateLoader loader)` Add a template loader to which this loader will delegate when it cannot find a template

Method Detail

### setDelegateLoader

    void setDelegateLoader(JET2TemplateLoader loader)

  Add a template loader to which this loader will delegate when it cannot find a template

  Parameters:
    `loader` - a template loader or `null` to remove the delegate loader.

### getDelegateLoader

    JET2TemplateLoader getDelegateLoader()

  Return the template loader to which this loader will delegate when it cannot find a template. The initial delegate loader is `null`.

  Returns:
    the delegate loader or `null`.

Copyright 2006 IBM Corporation and others. All Rights Reserved.